Table of Contents

Class: _XLock | Twisted-0.19.0/twisted/python/threadable.py
--- | ---
Exclusive lock class. The advantage of this over threading.RLock is that it's picklable (kinda...). The goal is to one day not be dependent upon threlading, and to have this work for any old `thread`
Methods |
--- | ---
__getstate__ __init__ __setstate__ acquire release withThisLocked
| __getstate__
    __getstate__ ( self )
| __init__
    __init__ ( self )
| __setstate__
    __setstate__ ( self,  state )
| acquire
    acquire ( self )
| release
    release ( self )
Exceptions |
--- | ---
"Release of unacquired lock."
| withThisLocked
    withThisLocked (
            self,
            func,
            *args,
            *kw,
            )

Table of Contents

This document was automatically generated on Sun Jul 14 19:53:11 2002 by HappyDoc version 2.0